# GstPlayerMediaInfo

## GstPlayerAudioInfo

    GObject
        ╰──GstPlayerStreamInfo
            ╰──GstPlayerAudioInfo

GstPlayerStreamInfo specific to audio streams.

### Class structure

#### GstPlayerAudioInfoClass

### GstPlayer.PlayerAudioInfoClass

## GstPlayer.PlayerAudioInfo

    GObject.Object
        ╰──GstPlayer.PlayerStreamInfo
            ╰──GstPlayer.PlayerAudioInfo

GstPlayer.PlayerStreamInfo specific to audio streams.

## GstPlayer.PlayerAudioInfo

    GObject.Object
        ╰──GstPlayer.PlayerStreamInfo
            ╰──GstPlayer.PlayerAudioInfo

GstPlayer.PlayerStreamInfo specific to audio streams.

### Methods

#### gst_player_audio_info_get_bitrate

    gint
    gst_player_audio_info_get_bitrate (const GstPlayerAudioInfo * info)

Parameters:

`info` –

a GstPlayerAudioInfo

Returns –

the audio bitrate in GstPlayerAudioInfo or -1 if unknown.

#### GstPlayer.PlayerAudioInfo.prototype.get_bitrate

    function GstPlayer.PlayerAudioInfo.prototype.get_bitrate(): {
        // javascript wrapper for 'gst_player_audio_info_get_bitrate'
    }

Parameters:

`info` (GstPlayer.PlayerAudioInfo) –

a GstPlayer.PlayerAudioInfo

Returns (Number) –

the audio bitrate in GstPlayer.PlayerAudioInfo or -1 if unknown.

#### GstPlayer.PlayerAudioInfo.get_bitrate

    def GstPlayer.PlayerAudioInfo.get_bitrate (self):
        #python wrapper for 'gst_player_audio_info_get_bitrate'

Parameters:

`info` (GstPlayer.PlayerAudioInfo) –

a GstPlayer.PlayerAudioInfo

Returns (int) –

the audio bitrate in GstPlayer.PlayerAudioInfo or -1 if unknown.

#### gst_player_audio_info_get_channels

    gint
    gst_player_audio_info_get_channels (const GstPlayerAudioInfo * info)

Parameters:

`info` –

a GstPlayerAudioInfo

Returns –

the number of audio channels in GstPlayerAudioInfo or 0 if unknown.

#### GstPlayer.PlayerAudioInfo.prototype.get_channels

    function GstPlayer.PlayerAudioInfo.prototype.get_channels(): {
        // javascript wrapper for 'gst_player_audio_info_get_channels'
    }

Parameters:

`info` (GstPlayer.PlayerAudioInfo) –

a GstPlayer.PlayerAudioInfo

Returns (Number) –

the number of audio channels in GstPlayer.PlayerAudioInfo or 0 if unknown.

#### GstPlayer.PlayerAudioInfo.get_channels

    def GstPlayer.PlayerAudioInfo.get_channels (self):
        #python wrapper for 'gst_player_audio_info_get_channels'

Parameters:

`info` (GstPlayer.PlayerAudioInfo) –

a GstPlayer.PlayerAudioInfo

Returns (int) –

the number of audio channels in GstPlayer.PlayerAudioInfo or 0 if unknown.

#### gst_player_audio_info_get_language

    const gchar *
    gst_player_audio_info_get_language (const GstPlayerAudioInfo * info)

Parameters:

`info` –

a GstPlayerAudioInfo

Returns ( [nullable]) –

the language of the stream, or NULL if unknown.

#### GstPlayer.PlayerAudioInfo.prototype.get_language

    function GstPlayer.PlayerAudioInfo.prototype.get_language(): {
        // javascript wrapper for 'gst_player_audio_info_get_language'
    }

Parameters:

`info` (GstPlayer.PlayerAudioInfo) –

a GstPlayer.PlayerAudioInfo

Returns (String) –

the language of the stream, or NULL if unknown.

#### GstPlayer.PlayerAudioInfo.get_language

    def GstPlayer.PlayerAudioInfo.get_language (self):
        #python wrapper for 'gst_player_audio_info_get_language'

Parameters:

`info` (GstPlayer.PlayerAudioInfo) –

a GstPlayer.PlayerAudioInfo

Returns (str) –

the language of the stream, or NULL if unknown.

#### gst_player_audio_info_get_max_bitrate

    gint
    gst_player_audio_info_get_max_bitrate (const GstPlayerAudioInfo * info)

Parameters:

`info` –

a GstPlayerAudioInfo

Returns –

the audio maximum bitrate in GstPlayerAudioInfo or -1 if unknown.

#### GstPlayer.PlayerAudioInfo.prototype.get_max_bitrate

    function GstPlayer.PlayerAudioInfo.prototype.get_max_bitrate(): {
        // javascript wrapper for 'gst_player_audio_info_get_max_bitrate'
    }

Parameters:

`info` (GstPlayer.PlayerAudioInfo) –

a GstPlayer.PlayerAudioInfo

Returns (Number) –

the audio maximum bitrate in GstPlayer.PlayerAudioInfo or -1 if unknown.

#### GstPlayer.PlayerAudioInfo.get_max_bitrate

    def GstPlayer.PlayerAudioInfo.get_max_bitrate (self):
        #python wrapper for 'gst_player_audio_info_get_max_bitrate'

Parameters:

`info` (GstPlayer.PlayerAudioInfo) –

a GstPlayer.PlayerAudioInfo

Returns (int) –

the audio maximum bitrate in GstPlayer.PlayerAudioInfo or -1 if unknown.

#### gst_player_audio_info_get_sample_rate

    gint
    gst_player_audio_info_get_sample_rate (const GstPlayerAudioInfo * info)

Parameters:

`info` –

a GstPlayerAudioInfo

Returns –

the audio sample rate in GstPlayerAudioInfo or 0 if unknown.

#### GstPlayer.PlayerAudioInfo.prototype.get_sample_rate

    function GstPlayer.PlayerAudioInfo.prototype.get_sample_rate(): {
        // javascript wrapper for 'gst_player_audio_info_get_sample_rate'
    }

Parameters:

`info` (GstPlayer.PlayerAudioInfo) –

a GstPlayer.PlayerAudioInfo

Returns (Number) –

the audio sample rate in GstPlayer.PlayerAudioInfo or 0 if unknown.

#### GstPlayer.PlayerAudioInfo.get_sample_rate

    def GstPlayer.PlayerAudioInfo.get_sample_rate (self):
        #python wrapper for 'gst_player_audio_info_get_sample_rate'

Parameters:

`info` (GstPlayer.PlayerAudioInfo) –

a GstPlayer.PlayerAudioInfo

Returns (int) –

the audio sample rate in GstPlayer.PlayerAudioInfo or 0 if unknown.

## GstPlayerMediaInfo

    GObject
        ╰──GstPlayerMediaInfo

Structure containing the media information of a URI.

### Class structure

#### GstPlayerMediaInfoClass

### GstPlayer.PlayerMediaInfoClass

## GstPlayer.PlayerMediaInfo

    GObject.Object
        ╰──GstPlayer.PlayerMediaInfo

Structure containing the media information of a URI.

## GstPlayer.PlayerMediaInfo

    GObject.Object
        ╰──GstPlayer.PlayerMediaInfo

Structure containing the media information of a URI.

### Methods

#### gst_player_media_info_get_audio_streams

    GList *
    gst_player_media_info_get_audio_streams (const GstPlayerMediaInfo * info)

Parameters:

`info` –

a GstPlayerMediaInfo

Returns ( [transfer: none][element-type GstPlayerAudioInfo]) –

A GList of matching GstPlayerAudioInfo.

#### GstPlayer.PlayerMediaInfo.prototype.get_audio_streams

    function GstPlayer.PlayerMediaInfo.prototype.get_audio_streams(): {
        // javascript wrapper for 'gst_player_media_info_get_audio_streams'
    }

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns ([ GstPlayer.PlayerAudioInfo ]) –

A GLib.List of matching GstPlayer.PlayerAudioInfo.

#### GstPlayer.PlayerMediaInfo.get_audio_streams

    def GstPlayer.PlayerMediaInfo.get_audio_streams (self):
        #python wrapper for 'gst_player_media_info_get_audio_streams'

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns ([ GstPlayer.PlayerAudioInfo ]) –

A GLib.List of matching GstPlayer.PlayerAudioInfo.

#### gst_player_media_info_get_container_format

    const gchar *
    gst_player_media_info_get_container_format (const GstPlayerMediaInfo * info)

Parameters:

`info` –

a GstPlayerMediaInfo

Returns ( [nullable]) –

the container format or NULL if unknown.

#### GstPlayer.PlayerMediaInfo.prototype.get_container_format

    function GstPlayer.PlayerMediaInfo.prototype.get_container_format(): {
        // javascript wrapper for 'gst_player_media_info_get_container_format'
    }

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (String) –

the container format or null if unknown.

#### GstPlayer.PlayerMediaInfo.get_container_format

    def GstPlayer.PlayerMediaInfo.get_container_format (self):
        #python wrapper for 'gst_player_media_info_get_container_format'

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (str) –

the container format or None if unknown.

#### gst_player_media_info_get_duration

    GstClockTime
    gst_player_media_info_get_duration (const GstPlayerMediaInfo * info)

Parameters:

`info` –

a GstPlayerMediaInfo

Returns –

duration of the media or GST_CLOCK_TIME_NONE if unknown.

#### GstPlayer.PlayerMediaInfo.prototype.get_duration

    function GstPlayer.PlayerMediaInfo.prototype.get_duration(): {
        // javascript wrapper for 'gst_player_media_info_get_duration'
    }

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (Number) –

duration of the media or Gst.CLOCK_TIME_NONE if unknown.

#### GstPlayer.PlayerMediaInfo.get_duration

    def GstPlayer.PlayerMediaInfo.get_duration (self):
        #python wrapper for 'gst_player_media_info_get_duration'

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (int) –

duration of the media or Gst.CLOCK_TIME_NONE if unknown.

#### gst_player_media_info_get_image_sample

    GstSample *
    gst_player_media_info_get_image_sample (const GstPlayerMediaInfo * info)

Function to get the image (or preview-image) stored in taglist. Application can use `gst_sample_*_()` API's to get caps, buffer etc.

Parameters:

`info` –

a GstPlayerMediaInfo

Returns ( [transfer: none][nullable]) –

GstSample or NULL.

#### GstPlayer.PlayerMediaInfo.prototype.get_image_sample

    function GstPlayer.PlayerMediaInfo.prototype.get_image_sample(): {
        // javascript wrapper for 'gst_player_media_info_get_image_sample'
    }

Function to get the image (or preview-image) stored in taglist. Application can use `gst_sample_*_()` API's to get caps, buffer etc.

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (Gst.Sample) –

GstSample or null.

#### GstPlayer.PlayerMediaInfo.get_image_sample

    def GstPlayer.PlayerMediaInfo.get_image_sample (self):
        #python wrapper for 'gst_player_media_info_get_image_sample'

Function to get the image (or preview-image) stored in taglist. Application can use `gst_sample_*_()` API's to get caps, buffer etc.

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (Gst.Sample) –

GstSample or None.

#### gst_player_media_info_get_number_of_audio_streams

    guint
    gst_player_media_info_get_number_of_audio_streams (const GstPlayerMediaInfo * info)

Parameters:

`info` –

a GstPlayerMediaInfo

Returns –

number of audio streams or 0 if unknown.

Since : 1.12

#### GstPlayer.PlayerMediaInfo.prototype.get_number_of_audio_streams

    function GstPlayer.PlayerMediaInfo.prototype.get_number_of_audio_streams(): {
        // javascript wrapper for 'gst_player_media_info_get_number_of_audio_streams'
    }

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (Number) –

number of audio streams or 0 if unknown.

Since : 1.12

#### GstPlayer.PlayerMediaInfo.get_number_of_audio_streams

    def GstPlayer.PlayerMediaInfo.get_number_of_audio_streams (self):
        #python wrapper for 'gst_player_media_info_get_number_of_audio_streams'

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (int) –

number of audio streams or 0 if unknown.

Since : 1.12

#### gst_player_media_info_get_number_of_streams

    guint
    gst_player_media_info_get_number_of_streams (const GstPlayerMediaInfo * info)

Parameters:

`info` –

a GstPlayerMediaInfo

Returns –

number of total streams or 0 if unknown.

Since : 1.12

#### GstPlayer.PlayerMediaInfo.prototype.get_number_of_streams

    function GstPlayer.PlayerMediaInfo.prototype.get_number_of_streams(): {
        // javascript wrapper for 'gst_player_media_info_get_number_of_streams'
    }

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (Number) –

number of total streams or 0 if unknown.

Since : 1.12

#### GstPlayer.PlayerMediaInfo.get_number_of_streams

    def GstPlayer.PlayerMediaInfo.get_number_of_streams (self):
        #python wrapper for 'gst_player_media_info_get_number_of_streams'

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (int) –

number of total streams or 0 if unknown.

Since : 1.12

#### gst_player_media_info_get_number_of_subtitle_streams

    guint
    gst_player_media_info_get_number_of_subtitle_streams (const GstPlayerMediaInfo * info)

Parameters:

`info` –

a GstPlayerMediaInfo

Returns –

number of subtitle streams or 0 if unknown.

Since : 1.12

#### GstPlayer.PlayerMediaInfo.prototype.get_number_of_subtitle_streams

    function GstPlayer.PlayerMediaInfo.prototype.get_number_of_subtitle_streams(): {
        // javascript wrapper for 'gst_player_media_info_get_number_of_subtitle_streams'
    }

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (Number) –

number of subtitle streams or 0 if unknown.

Since : 1.12

#### GstPlayer.PlayerMediaInfo.get_number_of_subtitle_streams

    def GstPlayer.PlayerMediaInfo.get_number_of_subtitle_streams (self):
        #python wrapper for 'gst_player_media_info_get_number_of_subtitle_streams'

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (int) –

number of subtitle streams or 0 if unknown.

Since : 1.12

#### gst_player_media_info_get_number_of_video_streams

    guint
    gst_player_media_info_get_number_of_video_streams (const GstPlayerMediaInfo * info)

Parameters:

`info` –

a GstPlayerMediaInfo

Returns –

number of video streams or 0 if unknown.

Since : 1.12

#### GstPlayer.PlayerMediaInfo.prototype.get_number_of_video_streams

    function GstPlayer.PlayerMediaInfo.prototype.get_number_of_video_streams(): {
        // javascript wrapper for 'gst_player_media_info_get_number_of_video_streams'
    }

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (Number) –

number of video streams or 0 if unknown.

Since : 1.12

#### GstPlayer.PlayerMediaInfo.get_number_of_video_streams

    def GstPlayer.PlayerMediaInfo.get_number_of_video_streams (self):
        #python wrapper for 'gst_player_media_info_get_number_of_video_streams'

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (int) –

number of video streams or 0 if unknown.

Since : 1.12

#### gst_player_media_info_get_stream_list

    GList *
    gst_player_media_info_get_stream_list (const GstPlayerMediaInfo * info)

Parameters:

`info` –

a GstPlayerMediaInfo

Returns ( [transfer: none][element-type GstPlayerStreamInfo]) –

A GList of matching GstPlayerStreamInfo.

#### GstPlayer.PlayerMediaInfo.prototype.get_stream_list

    function GstPlayer.PlayerMediaInfo.prototype.get_stream_list(): {
        // javascript wrapper for 'gst_player_media_info_get_stream_list'
    }

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns ([ GstPlayer.PlayerStreamInfo ]) –

A GLib.List of matching GstPlayer.PlayerStreamInfo.

#### GstPlayer.PlayerMediaInfo.get_stream_list

    def GstPlayer.PlayerMediaInfo.get_stream_list (self):
        #python wrapper for 'gst_player_media_info_get_stream_list'

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns ([ GstPlayer.PlayerStreamInfo ]) –

A GLib.List of matching GstPlayer.PlayerStreamInfo.

#### gst_player_media_info_get_subtitle_streams

    GList *
    gst_player_media_info_get_subtitle_streams (const GstPlayerMediaInfo * info)

Parameters:

`info` –

a GstPlayerMediaInfo

Returns ( [transfer: none][element-type GstPlayerSubtitleInfo]) –

A GList of matching GstPlayerSubtitleInfo.

#### GstPlayer.PlayerMediaInfo.prototype.get_subtitle_streams

    function GstPlayer.PlayerMediaInfo.prototype.get_subtitle_streams(): {
        // javascript wrapper for 'gst_player_media_info_get_subtitle_streams'
    }

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns ([ GstPlayer.PlayerSubtitleInfo ]) –

A GLib.List of matching GstPlayer.PlayerSubtitleInfo.

#### GstPlayer.PlayerMediaInfo.get_subtitle_streams

    def GstPlayer.PlayerMediaInfo.get_subtitle_streams (self):
        #python wrapper for 'gst_player_media_info_get_subtitle_streams'

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns ([ GstPlayer.PlayerSubtitleInfo ]) –

A GLib.List of matching GstPlayer.PlayerSubtitleInfo.

#### gst_player_media_info_get_tags

    GstTagList *
    gst_player_media_info_get_tags (const GstPlayerMediaInfo * info)

Parameters:

`info` –

a GstPlayerMediaInfo

Returns ( [transfer: none][nullable]) –

the tags contained in media info.

#### GstPlayer.PlayerMediaInfo.prototype.get_tags

    function GstPlayer.PlayerMediaInfo.prototype.get_tags(): {
        // javascript wrapper for 'gst_player_media_info_get_tags'
    }

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (Gst.TagList) –

the tags contained in media info.

#### GstPlayer.PlayerMediaInfo.get_tags

    def GstPlayer.PlayerMediaInfo.get_tags (self):
        #python wrapper for 'gst_player_media_info_get_tags'

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (Gst.TagList) –

the tags contained in media info.

#### gst_player_media_info_get_title

    const gchar *
    gst_player_media_info_get_title (const GstPlayerMediaInfo * info)

Parameters:

`info` –

a GstPlayerMediaInfo

Returns ( [nullable]) –

the media title or NULL if unknown.

#### GstPlayer.PlayerMediaInfo.prototype.get_title

    function GstPlayer.PlayerMediaInfo.prototype.get_title(): {
        // javascript wrapper for 'gst_player_media_info_get_title'
    }

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (String) –

the media title or null if unknown.

#### GstPlayer.PlayerMediaInfo.get_title

    def GstPlayer.PlayerMediaInfo.get_title (self):
        #python wrapper for 'gst_player_media_info_get_title'

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (str) –

the media title or None if unknown.

#### gst_player_media_info_get_uri

    const gchar *
    gst_player_media_info_get_uri (const GstPlayerMediaInfo * info)

Parameters:

`info` –

a GstPlayerMediaInfo

Returns –

the URI associated with GstPlayerMediaInfo.

#### GstPlayer.PlayerMediaInfo.prototype.get_uri

    function GstPlayer.PlayerMediaInfo.prototype.get_uri(): {
        // javascript wrapper for 'gst_player_media_info_get_uri'
    }

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (String) –

the URI associated with GstPlayer.PlayerMediaInfo.

#### GstPlayer.PlayerMediaInfo.get_uri

    def GstPlayer.PlayerMediaInfo.get_uri (self):
        #python wrapper for 'gst_player_media_info_get_uri'

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (str) –

the URI associated with GstPlayer.PlayerMediaInfo.

#### gst_player_media_info_get_video_streams

    GList *
    gst_player_media_info_get_video_streams (const GstPlayerMediaInfo * info)

Parameters:

`info` –

a GstPlayerMediaInfo

Returns ( [transfer: none][element-type GstPlayerVideoInfo]) –

A GList of matching GstPlayerVideoInfo.

#### GstPlayer.PlayerMediaInfo.prototype.get_video_streams

    function GstPlayer.PlayerMediaInfo.prototype.get_video_streams(): {
        // javascript wrapper for 'gst_player_media_info_get_video_streams'
    }

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns ([ GstPlayer.PlayerVideoInfo ]) –

A GLib.List of matching GstPlayer.PlayerVideoInfo.

#### GstPlayer.PlayerMediaInfo.get_video_streams

    def GstPlayer.PlayerMediaInfo.get_video_streams (self):
        #python wrapper for 'gst_player_media_info_get_video_streams'

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns ([ GstPlayer.PlayerVideoInfo ]) –

A GLib.List of matching GstPlayer.PlayerVideoInfo.

#### gst_player_media_info_is_live

    gboolean
    gst_player_media_info_is_live (const GstPlayerMediaInfo * info)

Parameters:

`info` –

a GstPlayerMediaInfo

Returns –

TRUE if the media is live.

#### GstPlayer.PlayerMediaInfo.prototype.is_live

    function GstPlayer.PlayerMediaInfo.prototype.is_live(): {
        // javascript wrapper for 'gst_player_media_info_is_live'
    }

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (Number) –

true if the media is live.

#### GstPlayer.PlayerMediaInfo.is_live

    def GstPlayer.PlayerMediaInfo.is_live (self):
        #python wrapper for 'gst_player_media_info_is_live'

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (bool) –

True if the media is live.

#### gst_player_media_info_is_seekable

    gboolean
    gst_player_media_info_is_seekable (const GstPlayerMediaInfo * info)

Parameters:

`info` –

a GstPlayerMediaInfo

Returns –

TRUE if the media is seekable.

#### GstPlayer.PlayerMediaInfo.prototype.is_seekable

    function GstPlayer.PlayerMediaInfo.prototype.is_seekable(): {
        // javascript wrapper for 'gst_player_media_info_is_seekable'
    }

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (Number) –

true if the media is seekable.

#### GstPlayer.PlayerMediaInfo.is_seekable

    def GstPlayer.PlayerMediaInfo.is_seekable (self):
        #python wrapper for 'gst_player_media_info_is_seekable'

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns (bool) –

True if the media is seekable.

## GstPlayerStreamInfo

    GObject
        ╰──GstPlayerStreamInfo
            ╰──GstPlayerAudioInfo
            ╰──GstPlayerSubtitleInfo
            ╰──GstPlayerVideoInfo

Base structure for information concerning a media stream. Depending on the stream type, one can find more media-specific information in GstPlayerVideoInfo, GstPlayerAudioInfo, GstPlayerSubtitleInfo.

### Class structure

#### GstPlayerStreamInfoClass

### GstPlayer.PlayerStreamInfoClass

## GstPlayer.PlayerStreamInfo

    GObject.Object
        ╰──GstPlayer.PlayerStreamInfo
            ╰──GstPlayer.PlayerAudioInfo
            ╰──GstPlayer.PlayerSubtitleInfo
            ╰──GstPlayer.PlayerVideoInfo

Base structure for information concerning a media stream. Depending on the stream type, one can find more media-specific information in GstPlayer.PlayerVideoInfo, GstPlayer.PlayerAudioInfo, GstPlayer.PlayerSubtitleInfo.

## GstPlayer.PlayerStreamInfo

    GObject.Object
        ╰──GstPlayer.PlayerStreamInfo
            ╰──GstPlayer.PlayerAudioInfo
            ╰──GstPlayer.PlayerSubtitleInfo
            ╰──GstPlayer.PlayerVideoInfo

Base structure for information concerning a media stream. Depending on the stream type, one can find more media-specific information in GstPlayer.PlayerVideoInfo, GstPlayer.PlayerAudioInfo, GstPlayer.PlayerSubtitleInfo.

### Methods

#### gst_player_stream_info_get_caps

    GstCaps *
    gst_player_stream_info_get_caps (const GstPlayerStreamInfo * info)

Parameters:

`info` –

a GstPlayerStreamInfo

Returns ( [transfer: none][nullable]) –

the GstCaps of the stream.

#### GstPlayer.PlayerStreamInfo.prototype.get_caps

    function GstPlayer.PlayerStreamInfo.prototype.get_caps(): {
        // javascript wrapper for 'gst_player_stream_info_get_caps'
    }

Parameters:

`info` (GstPlayer.PlayerStreamInfo) –

a GstPlayer.PlayerStreamInfo

Returns (Gst.Caps) –

the Gst.Caps of the stream.

#### GstPlayer.PlayerStreamInfo.get_caps

    def GstPlayer.PlayerStreamInfo.get_caps (self):
        #python wrapper for 'gst_player_stream_info_get_caps'

Parameters:

`info` (GstPlayer.PlayerStreamInfo) –

a GstPlayer.PlayerStreamInfo

Returns (Gst.Caps) –

the Gst.Caps of the stream.

#### gst_player_stream_info_get_codec

    const gchar *
    gst_player_stream_info_get_codec (const GstPlayerStreamInfo * info)

A string describing codec used in GstPlayerStreamInfo.

Parameters:

`info` –

a GstPlayerStreamInfo

Returns ( [nullable]) –

codec string or NULL on unknown.

#### GstPlayer.PlayerStreamInfo.prototype.get_codec

    function GstPlayer.PlayerStreamInfo.prototype.get_codec(): {
        // javascript wrapper for 'gst_player_stream_info_get_codec'
    }

A string describing codec used in GstPlayer.PlayerStreamInfo.

Parameters:

`info` (GstPlayer.PlayerStreamInfo) –

a GstPlayer.PlayerStreamInfo

Returns (String) –

codec string or null on unknown.

#### GstPlayer.PlayerStreamInfo.get_codec

    def GstPlayer.PlayerStreamInfo.get_codec (self):
        #python wrapper for 'gst_player_stream_info_get_codec'

A string describing codec used in GstPlayer.PlayerStreamInfo.

Parameters:

`info` (GstPlayer.PlayerStreamInfo) –

a GstPlayer.PlayerStreamInfo

Returns (str) –

codec string or None on unknown.

#### gst_player_stream_info_get_index

    gint
    gst_player_stream_info_get_index (const GstPlayerStreamInfo * info)

Function to get stream index from GstPlayerStreamInfo instance or -1 if unknown.

Parameters:

`info` –

a GstPlayerStreamInfo

Returns –

the stream index of this stream.

#### GstPlayer.PlayerStreamInfo.prototype.get_index

    function GstPlayer.PlayerStreamInfo.prototype.get_index(): {
        // javascript wrapper for 'gst_player_stream_info_get_index'
    }

Function to get stream index from GstPlayer.PlayerStreamInfo instance or -1 if unknown.

Parameters:

`info` (GstPlayer.PlayerStreamInfo) –

a GstPlayer.PlayerStreamInfo

Returns (Number) –

the stream index of this stream.

#### GstPlayer.PlayerStreamInfo.get_index

    def GstPlayer.PlayerStreamInfo.get_index (self):
        #python wrapper for 'gst_player_stream_info_get_index'

Function to get stream index from GstPlayer.PlayerStreamInfo instance or -1 if unknown.

Parameters:

`info` (GstPlayer.PlayerStreamInfo) –

a GstPlayer.PlayerStreamInfo

Returns (int) –

the stream index of this stream.

#### gst_player_stream_info_get_stream_type

    const gchar *
    gst_player_stream_info_get_stream_type (const GstPlayerStreamInfo * info)

Function to return human readable name for the stream type of the given info (ex: "audio", "video", "subtitle")

Parameters:

`info` –

a GstPlayerStreamInfo

Returns –

a human readable name

#### GstPlayer.PlayerStreamInfo.prototype.get_stream_type

    function GstPlayer.PlayerStreamInfo.prototype.get_stream_type(): {
        // javascript wrapper for 'gst_player_stream_info_get_stream_type'
    }

Function to return human readable name for the stream type of the given info (ex: "audio", "video", "subtitle")

Parameters:

`info` (GstPlayer.PlayerStreamInfo) –

a GstPlayer.PlayerStreamInfo

Returns (String) –

a human readable name

#### GstPlayer.PlayerStreamInfo.get_stream_type

    def GstPlayer.PlayerStreamInfo.get_stream_type (self):
        #python wrapper for 'gst_player_stream_info_get_stream_type'

Function to return human readable name for the stream type of the given info (ex: "audio", "video", "subtitle")

Parameters:

`info` (GstPlayer.PlayerStreamInfo) –

a GstPlayer.PlayerStreamInfo

Returns (str) –

a human readable name

#### gst_player_stream_info_get_tags

    GstTagList *
    gst_player_stream_info_get_tags (const GstPlayerStreamInfo * info)

Parameters:

`info` –

a GstPlayerStreamInfo

Returns ( [transfer: none][nullable]) –

the tags contained in this stream.

#### GstPlayer.PlayerStreamInfo.prototype.get_tags

    function GstPlayer.PlayerStreamInfo.prototype.get_tags(): {
        // javascript wrapper for 'gst_player_stream_info_get_tags'
    }

Parameters:

`info` (GstPlayer.PlayerStreamInfo) –

a GstPlayer.PlayerStreamInfo

Returns (Gst.TagList) –

the tags contained in this stream.

#### GstPlayer.PlayerStreamInfo.get_tags

    def GstPlayer.PlayerStreamInfo.get_tags (self):
        #python wrapper for 'gst_player_stream_info_get_tags'

Parameters:

`info` (GstPlayer.PlayerStreamInfo) –

a GstPlayer.PlayerStreamInfo

Returns (Gst.TagList) –

the tags contained in this stream.

## GstPlayerSubtitleInfo

    GObject
        ╰──GstPlayerStreamInfo
            ╰──GstPlayerSubtitleInfo

GstPlayerStreamInfo specific to subtitle streams.

### Class structure

#### GstPlayerSubtitleInfoClass

### GstPlayer.PlayerSubtitleInfoClass

## GstPlayer.PlayerSubtitleInfo

    GObject.Object
        ╰──GstPlayer.PlayerStreamInfo
            ╰──GstPlayer.PlayerSubtitleInfo

GstPlayer.PlayerStreamInfo specific to subtitle streams.

## GstPlayer.PlayerSubtitleInfo

    GObject.Object
        ╰──GstPlayer.PlayerStreamInfo
            ╰──GstPlayer.PlayerSubtitleInfo

GstPlayer.PlayerStreamInfo specific to subtitle streams.

### Methods

#### gst_player_subtitle_info_get_language

    const gchar *
    gst_player_subtitle_info_get_language (const GstPlayerSubtitleInfo * info)

Parameters:

`info` –

a GstPlayerSubtitleInfo

Returns ( [nullable]) –

the language of the stream, or NULL if unknown.

#### GstPlayer.PlayerSubtitleInfo.prototype.get_language

    function GstPlayer.PlayerSubtitleInfo.prototype.get_language(): {
        // javascript wrapper for 'gst_player_subtitle_info_get_language'
    }

Parameters:

`info` (GstPlayer.PlayerSubtitleInfo) –

a GstPlayer.PlayerSubtitleInfo

Returns (String) –

the language of the stream, or null if unknown.

#### GstPlayer.PlayerSubtitleInfo.get_language

    def GstPlayer.PlayerSubtitleInfo.get_language (self):
        #python wrapper for 'gst_player_subtitle_info_get_language'

Parameters:

`info` (GstPlayer.PlayerSubtitleInfo) –

a GstPlayer.PlayerSubtitleInfo

Returns (str) –

the language of the stream, or None if unknown.

## GstPlayerVideoInfo

    GObject
        ╰──GstPlayerStreamInfo
            ╰──GstPlayerVideoInfo

GstPlayerStreamInfo specific to video streams.

### Class structure

#### GstPlayerVideoInfoClass

### GstPlayer.PlayerVideoInfoClass

## GstPlayer.PlayerVideoInfo

    GObject.Object
        ╰──GstPlayer.PlayerStreamInfo
            ╰──GstPlayer.PlayerVideoInfo

GstPlayer.PlayerStreamInfo specific to video streams.

## GstPlayer.PlayerVideoInfo

    GObject.Object
        ╰──GstPlayer.PlayerStreamInfo
            ╰──GstPlayer.PlayerVideoInfo

GstPlayer.PlayerStreamInfo specific to video streams.

### Methods

#### gst_player_video_info_get_bitrate

    gint
    gst_player_video_info_get_bitrate (const GstPlayerVideoInfo * info)

Parameters:

`info` –

a GstPlayerVideoInfo

Returns –

the current bitrate of video in GstPlayerVideoInfo or -1 if unknown.

#### GstPlayer.PlayerVideoInfo.prototype.get_bitrate

    function GstPlayer.PlayerVideoInfo.prototype.get_bitrate(): {
        // javascript wrapper for 'gst_player_video_info_get_bitrate'
    }

Parameters:

`info` (GstPlayer.PlayerVideoInfo) –

a GstPlayer.PlayerVideoInfo

Returns (Number) –

the current bitrate of video in GstPlayer.PlayerVideoInfo or -1 if unknown.

#### GstPlayer.PlayerVideoInfo.get_bitrate

    def GstPlayer.PlayerVideoInfo.get_bitrate (self):
        #python wrapper for 'gst_player_video_info_get_bitrate'

Parameters:

`info` (GstPlayer.PlayerVideoInfo) –

a GstPlayer.PlayerVideoInfo

Returns (int) –

the current bitrate of video in GstPlayer.PlayerVideoInfo or -1 if unknown.

#### gst_player_video_info_get_framerate

    gst_player_video_info_get_framerate (const GstPlayerVideoInfo * info,
                                         gint * fps_n,
                                         gint * fps_d)

Parameters:

`info` –

a GstPlayerVideoInfo

`fps_n` ( [out]) –

Numerator of frame rate

`fps_d` ( [out]) –

Denominator of frame rate

#### GstPlayer.PlayerVideoInfo.prototype.get_framerate

    function GstPlayer.PlayerVideoInfo.prototype.get_framerate(): {
        // javascript wrapper for 'gst_player_video_info_get_framerate'
    }

Parameters:

`info` (GstPlayer.PlayerVideoInfo) –

a GstPlayer.PlayerVideoInfo

#### GstPlayer.PlayerVideoInfo.get_framerate

    def GstPlayer.PlayerVideoInfo.get_framerate (self):
        #python wrapper for 'gst_player_video_info_get_framerate'

Parameters:

`info` (GstPlayer.PlayerVideoInfo) –

a GstPlayer.PlayerVideoInfo

#### gst_player_video_info_get_height

    gint
    gst_player_video_info_get_height (const GstPlayerVideoInfo * info)

Parameters:

`info` –

a GstPlayerVideoInfo

Returns –

the height of video in GstPlayerVideoInfo or -1 if unknown.

#### GstPlayer.PlayerVideoInfo.prototype.get_height

    function GstPlayer.PlayerVideoInfo.prototype.get_height(): {
        // javascript wrapper for 'gst_player_video_info_get_height'
    }

Parameters:

`info` (GstPlayer.PlayerVideoInfo) –

a GstPlayer.PlayerVideoInfo

Returns (Number) –

the height of video in GstPlayer.PlayerVideoInfo or -1 if unknown.

#### GstPlayer.PlayerVideoInfo.get_height

    def GstPlayer.PlayerVideoInfo.get_height (self):
        #python wrapper for 'gst_player_video_info_get_height'

Parameters:

`info` (GstPlayer.PlayerVideoInfo) –

a GstPlayer.PlayerVideoInfo

Returns (int) –

the height of video in GstPlayer.PlayerVideoInfo or -1 if unknown.

#### gst_player_video_info_get_max_bitrate

    gint
    gst_player_video_info_get_max_bitrate (const GstPlayerVideoInfo * info)

Parameters:

`info` –

a GstPlayerVideoInfo

Returns –

the maximum bitrate of video in GstPlayerVideoInfo or -1 if unknown.

#### GstPlayer.PlayerVideoInfo.prototype.get_max_bitrate

    function GstPlayer.PlayerVideoInfo.prototype.get_max_bitrate(): {
        // javascript wrapper for 'gst_player_video_info_get_max_bitrate'
    }

Parameters:

`info` (GstPlayer.PlayerVideoInfo) –

a GstPlayer.PlayerVideoInfo

Returns (Number) –

the maximum bitrate of video in GstPlayer.PlayerVideoInfo or -1 if unknown.

#### GstPlayer.PlayerVideoInfo.get_max_bitrate

    def GstPlayer.PlayerVideoInfo.get_max_bitrate (self):
        #python wrapper for 'gst_player_video_info_get_max_bitrate'

Parameters:

`info` (GstPlayer.PlayerVideoInfo) –

a GstPlayer.PlayerVideoInfo

Returns (int) –

the maximum bitrate of video in GstPlayer.PlayerVideoInfo or -1 if unknown.

#### gst_player_video_info_get_pixel_aspect_ratio

    gst_player_video_info_get_pixel_aspect_ratio (const GstPlayerVideoInfo * info,
                                                  guint * par_n,
                                                  guint * par_d)

Returns the pixel aspect ratio in par_n and par_d

Parameters:

`info` –

a GstPlayerVideoInfo

`par_n` ( [out]) –

numerator

`par_d` ( [out]) –

denominator

#### GstPlayer.PlayerVideoInfo.prototype.get_pixel_aspect_ratio

    function GstPlayer.PlayerVideoInfo.prototype.get_pixel_aspect_ratio(): {
        // javascript wrapper for 'gst_player_video_info_get_pixel_aspect_ratio'
    }

Returns the pixel aspect ratio in par_n and par_d

Parameters:

`info` (GstPlayer.PlayerVideoInfo) –

a GstPlayer.PlayerVideoInfo

#### GstPlayer.PlayerVideoInfo.get_pixel_aspect_ratio

    def GstPlayer.PlayerVideoInfo.get_pixel_aspect_ratio (self):
        #python wrapper for 'gst_player_video_info_get_pixel_aspect_ratio'

Returns the pixel aspect ratio in par_n and par_d

Parameters:

`info` (GstPlayer.PlayerVideoInfo) –

a GstPlayer.PlayerVideoInfo

#### gst_player_video_info_get_width

    gint
    gst_player_video_info_get_width (const GstPlayerVideoInfo * info)

Parameters:

`info` –

a GstPlayerVideoInfo

Returns –

the width of video in GstPlayerVideoInfo or -1 if unknown.

#### GstPlayer.PlayerVideoInfo.prototype.get_width

    function GstPlayer.PlayerVideoInfo.prototype.get_width(): {
        // javascript wrapper for 'gst_player_video_info_get_width'
    }

Parameters:

`info` (GstPlayer.PlayerVideoInfo) –

a GstPlayer.PlayerVideoInfo

Returns (Number) –

the width of video in GstPlayer.PlayerVideoInfo or -1 if unknown.

#### GstPlayer.PlayerVideoInfo.get_width

    def GstPlayer.PlayerVideoInfo.get_width (self):
        #python wrapper for 'gst_player_video_info_get_width'

Parameters:

`info` (GstPlayer.PlayerVideoInfo) –

a GstPlayer.PlayerVideoInfo

Returns (int) –

the width of video in GstPlayer.PlayerVideoInfo or -1 if unknown.

## Constants

### GST_TYPE_PLAYER_AUDIO_INFO

    #define GST_TYPE_PLAYER_AUDIO_INFO \
      (gst_player_audio_info_get_type ())

### GST_TYPE_PLAYER_MEDIA_INFO

    #define GST_TYPE_PLAYER_MEDIA_INFO \
      (gst_player_media_info_get_type())

### GST_TYPE_PLAYER_STREAM_INFO

    #define GST_TYPE_PLAYER_STREAM_INFO \
      (gst_player_stream_info_get_type ())

### GST_TYPE_PLAYER_SUBTITLE_INFO

    #define GST_TYPE_PLAYER_SUBTITLE_INFO \
      (gst_player_subtitle_info_get_type ())

### GST_TYPE_PLAYER_VIDEO_INFO

    #define GST_TYPE_PLAYER_VIDEO_INFO \
      (gst_player_video_info_get_type ())

The results of the search are